Index: /trunk/bp-languages/buddypress.pot
===================================================================
--- /trunk/bp-languages/buddypress.pot	(revision 5412)
+++ /trunk/bp-languages/buddypress.pot	(revision 5413)
@@ -5,5 +5,5 @@
 "Project-Id-Version: BuddyPress \n"
 "Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
-"POT-Creation-Date: 2011-11-29 20:31:05+00:00\n"
+"POT-Creation-Date: 2011-11-29 21:31:07+00:00\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -46,17 +46,17 @@
 msgstr ""
 
-#: bp-blogs/bp-blogs-buddybar.php:37 bp-core/bp-core-buddybar.php:516
+#: bp-blogs/bp-blogs-buddybar.php:37 bp-core/bp-core-buddybar.php:500
 msgid "Dashboard"
 msgstr ""
 
-#: bp-blogs/bp-blogs-buddybar.php:38 bp-core/bp-core-buddybar.php:520
+#: bp-blogs/bp-blogs-buddybar.php:38 bp-core/bp-core-buddybar.php:504
 msgid "New Post"
 msgstr ""
 
-#: bp-blogs/bp-blogs-buddybar.php:39 bp-core/bp-core-buddybar.php:521
+#: bp-blogs/bp-blogs-buddybar.php:39 bp-core/bp-core-buddybar.php:505
 msgid "Manage Posts"
 msgstr ""
 
-#: bp-blogs/bp-blogs-buddybar.php:40 bp-core/bp-core-buddybar.php:522
+#: bp-blogs/bp-blogs-buddybar.php:40 bp-core/bp-core-buddybar.php:506
 msgid "Manage Comments"
 msgstr ""
@@ -328,5 +328,5 @@
 msgstr ""
 
-#: bp-core/bp-core-adminbar.php:36 bp-core/bp-core-buddybar.php:466
+#: bp-core/bp-core-adminbar.php:36 bp-core/bp-core-buddybar.php:450
 msgid "My Account"
 msgstr ""
@@ -360,5 +360,5 @@
 #: bp-core/admin/bp-core-admin.php:40 bp-core/admin/bp-core-admin.php:120
 #: bp-settings/bp-settings-loader.php:15 bp-settings/bp-settings-loader.php:72
-#: bp-settings/bp-settings-loader.php:150 bp-groups/bp-groups-loader.php:204
+#: bp-settings/bp-settings-loader.php:150 bp-groups/bp-groups-loader.php:208
 #: bp-groups/bp-groups-template.php:1277
 msgid "Settings"
@@ -736,5 +736,5 @@
 #: bp-groups/bp-groups-activity.php:135 bp-groups/bp-groups-activity.php:171
 #: bp-groups/bp-groups-activity.php:207 bp-groups/bp-groups-activity.php:243
-#: bp-groups/bp-groups-loader.php:410 bp-groups/bp-groups-widgets.php:20
+#: bp-groups/bp-groups-loader.php:414 bp-groups/bp-groups-widgets.php:20
 #: bp-groups/bp-groups-widgets.php:41 bp-groups/bp-groups-widgets.php:107
 #: bp-groups/bp-groups-screens.php:831 bp-activity/bp-activity-loader.php:188
@@ -1120,5 +1120,5 @@
 msgstr ""
 
-#: bp-core/deprecated/1.5.php:287 bp-core/bp-core-buddybar.php:508
+#: bp-core/deprecated/1.5.php:287 bp-core/bp-core-buddybar.php:492
 #: bp-members/bp-members-template.php:734 bp-themes/bp-default/sidebar.php:18
 msgid "Log Out"
@@ -1271,43 +1271,43 @@
 msgstr ""
 
-#: bp-core/bp-core-catchuri.php:440 bp-core/bp-core-catchuri.php:500
+#: bp-core/bp-core-catchuri.php:444 bp-core/bp-core-catchuri.php:504
 msgid "You must log in to access the page you requested."
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:273
+#: bp-core/bp-core-buddybar.php:257
 msgid "You do not have access to this page."
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:450 bp-themes/bp-default/sidebar.php:53
+#: bp-core/bp-core-buddybar.php:434 bp-themes/bp-default/sidebar.php:53
 msgid "Log In"
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:454
+#: bp-core/bp-core-buddybar.php:438
 msgid "Sign Up"
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:537
+#: bp-core/bp-core-buddybar.php:521
 msgid "Visit"
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:539
+#: bp-core/bp-core-buddybar.php:523
 msgid "Random Member"
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:543
+#: bp-core/bp-core-buddybar.php:527
 msgid "Random Group"
 msgstr ""
 
-#: bp-core/bp-core-buddybar.php:549
+#: bp-core/bp-core-buddybar.php:533
 msgid "Random Site"
 msgstr ""
 
 #: bp-core/bp-core-loader.php:208 bp-xprofile/bp-xprofile-loader.php:113
-#: bp-xprofile/bp-xprofile-loader.php:177 bp-members/bp-members-loader.php:146
+#: bp-xprofile/bp-xprofile-loader.php:177 bp-members/bp-members-loader.php:141
 msgid "Profile"
 msgstr ""
 
 #: bp-core/bp-core-loader.php:219 bp-groups/bp-groups-template.php:520
-#: bp-xprofile/bp-xprofile-loader.php:125 bp-members/bp-members-loader.php:161
+#: bp-xprofile/bp-xprofile-loader.php:125 bp-members/bp-members-loader.php:156
 msgid "Public"
 msgstr ""
@@ -1677,73 +1677,73 @@
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:185
+#: bp-groups/bp-groups-loader.php:189
 msgid "You do not have access to this group."
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:200 bp-groups/bp-groups-template.php:1270
+#: bp-groups/bp-groups-loader.php:204 bp-groups/bp-groups-template.php:1270
 msgid "Details"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:212 bp-groups/bp-groups-template.php:1280
+#: bp-groups/bp-groups-loader.php:216 bp-groups/bp-groups-template.php:1280
 msgid "Avatar"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:220
+#: bp-groups/bp-groups-loader.php:224
 msgid "Invites"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:246
+#: bp-groups/bp-groups-loader.php:250
 msgid "Groups <span>%d</span>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:258 bp-groups/bp-groups-loader.php:286
-#: bp-groups/bp-groups-loader.php:426 bp-groups/bp-groups-loader.php:454
+#: bp-groups/bp-groups-loader.php:262 bp-groups/bp-groups-loader.php:290
+#: bp-groups/bp-groups-loader.php:430 bp-groups/bp-groups-loader.php:458
 msgid "Memberships"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:269
+#: bp-groups/bp-groups-loader.php:273
 msgid "Invitations"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:298
+#: bp-groups/bp-groups-loader.php:302
 msgctxt "Group home navigation title"
 msgid "Home"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:310
+#: bp-groups/bp-groups-loader.php:314
 msgid "Admin"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:329 bp-groups/bp-groups-template.php:1577
+#: bp-groups/bp-groups-loader.php:333 bp-groups/bp-groups-template.php:1577
 #: bp-groups/bp-groups-template.php:1578 bp-themes/bp-default/_inc/ajax.php:554
 msgid "Request Membership"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:341
+#: bp-groups/bp-groups-loader.php:345
 msgid "Forum"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:353
+#: bp-groups/bp-groups-loader.php:357
 msgid "Members <span>%s</span>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:365
+#: bp-groups/bp-groups-loader.php:369
 #: bp-themes/bp-default/groups/single/send-invites.php:60
 msgid "Send Invites"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:407
+#: bp-groups/bp-groups-loader.php:411
 msgid "Groups <span class=\"count\">%s</span>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:408
+#: bp-groups/bp-groups-loader.php:412
 msgid "Pending Invites <span class=\"count\">%s</span>"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:411
+#: bp-groups/bp-groups-loader.php:415
 msgid "No Pending Invites"
 msgstr ""
 
-#: bp-groups/bp-groups-loader.php:473 bp-groups/bp-groups-buddybar.php:25
+#: bp-groups/bp-groups-loader.php:477 bp-groups/bp-groups-buddybar.php:25
 #: bp-groups/bp-groups-template.php:2334
 msgid "Group Avatar"
@@ -3253,9 +3253,9 @@
 msgstr ""
 
-#: bp-members/bp-members-actions.php:136
+#: bp-members/bp-members-actions.php:131
 msgid "%s has been deleted from the system."
 msgstr ""
 
-#: bp-members/bp-members-actions.php:138
+#: bp-members/bp-members-actions.php:133
 msgid "There was an error deleting %s from the system. Please try again."
 msgstr ""
@@ -3285,5 +3285,5 @@
 msgstr ""
 
-#: bp-members/bp-members-loader.php:182
+#: bp-members/bp-members-loader.php:177
 msgid "You"
 msgstr ""
@@ -5037,17 +5037,17 @@
 msgstr ""
 
-#: bp-activity/bp-activity-functions.php:714
+#: bp-activity/bp-activity-functions.php:765
 msgid "Posted an update"
 msgstr ""
 
-#: bp-activity/bp-activity-functions.php:927
+#: bp-activity/bp-activity-functions.php:978
 msgid "%s posted an update"
 msgstr ""
 
-#: bp-activity/bp-activity-functions.php:994
+#: bp-activity/bp-activity-functions.php:1045
 msgid "%s posted a new activity comment"
 msgstr ""
 
-#: bp-activity/bp-activity-functions.php:1365
+#: bp-activity/bp-activity-functions.php:1416
 msgid "Thumbnail"
 msgstr ""