Index: /trunk/bp-languages/buddypress.pot
===================================================================
--- /trunk/bp-languages/buddypress.pot	(revision 5876)
+++ /trunk/bp-languages/buddypress.pot	(revision 5877)
@@ -5,5 +5,5 @@
 "Project-Id-Version: BuddyPress \n"
 "Report-Msgid-Bugs-To: http://wppolyglots.wordpress.com\n"
-"POT-Creation-Date: 2012-03-03 10:36:07+00:00\n"
+"POT-Creation-Date: 2012-03-03 17:36:09+00:00\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -229,5 +229,5 @@
 
 #: bp-activity/bp-activity-admin.php:636 bp-activity/bp-activity-admin.php:1263
-#: bp-forums/bp-forums-template.php:1264 bp-themes/bp-default/functions.php:498
+#: bp-forums/bp-forums-template.php:1264 bp-themes/bp-default/functions.php:501
 #: bp-xprofile/bp-xprofile-admin.php:452 bp-xprofile/bp-xprofile-loader.php:163
 #: bp-xprofile/bp-xprofile-loader.php:221
@@ -701,5 +701,5 @@
 #: bp-members/bp-members-template.php:584
 #: bp-themes/bp-default/activity/entry.php:37
-#: bp-themes/bp-default/functions.php:156
+#: bp-themes/bp-default/functions.php:159
 #: bp-xprofile/bp-xprofile-loader.php:213
 msgid "View"
@@ -2165,5 +2165,5 @@
 msgstr ""
 
-#: bp-core/deprecated/1.5.php:142 bp-themes/bp-default/functions.php:632
+#: bp-core/deprecated/1.5.php:142 bp-themes/bp-default/functions.php:635
 #: bp-themes/bp-default/members/single/profile/profile-wp.php:15
 msgid "Name"
@@ -2175,5 +2175,5 @@
 msgstr ""
 
-#: bp-core/deprecated/1.5.php:160 bp-themes/bp-default/functions.php:636
+#: bp-core/deprecated/1.5.php:160 bp-themes/bp-default/functions.php:639
 #: bp-themes/bp-default/members/single/profile/profile-wp.php:33
 msgid "Website"
@@ -3864,5 +3864,5 @@
 
 #: bp-messages/bp-messages-template.php:613
-#: bp-themes/bp-default/functions.php:155
+#: bp-themes/bp-default/functions.php:158
 #: bp-themes/bp-default/members/single/profile/edit.php:126
 #: bp-themes/bp-default/registration/register.php:167
@@ -3967,5 +3967,5 @@
 #: bp-themes/bp-default/_inc/ajax.php:377
 #: bp-themes/bp-default/activity/entry.php:72
-#: bp-themes/bp-default/functions.php:158
+#: bp-themes/bp-default/functions.php:161
 msgid "Remove Favorite"
 msgstr ""
@@ -3973,5 +3973,5 @@
 #: bp-themes/bp-default/_inc/ajax.php:385
 #: bp-themes/bp-default/activity/entry.php:68
-#: bp-themes/bp-default/functions.php:157
+#: bp-themes/bp-default/functions.php:160
 msgid "Favorite"
 msgstr ""
@@ -4440,65 +4440,65 @@
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:83
+#: bp-themes/bp-default/functions.php:86
 msgid "Primary Navigation"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:149
+#: bp-themes/bp-default/functions.php:152
 msgid "My Favorites"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:150
+#: bp-themes/bp-default/functions.php:153
 msgid "Accepted"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:151
+#: bp-themes/bp-default/functions.php:154
 msgid "Rejected"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:152
+#: bp-themes/bp-default/functions.php:155
 msgid "Show all comments for this thread"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:153
+#: bp-themes/bp-default/functions.php:156
 msgid "Show all"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:154
+#: bp-themes/bp-default/functions.php:157
 msgid "comments"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:380
+#: bp-themes/bp-default/functions.php:383
 msgid "The sidebar widget area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:389
+#: bp-themes/bp-default/functions.php:392
 msgid "First Footer Widget Area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:391
+#: bp-themes/bp-default/functions.php:394
 msgid "The first footer widget area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:400
+#: bp-themes/bp-default/functions.php:403
 msgid "Second Footer Widget Area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:402
+#: bp-themes/bp-default/functions.php:405
 msgid "The second footer widget area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:411
+#: bp-themes/bp-default/functions.php:414
 msgid "Third Footer Widget Area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:413
+#: bp-themes/bp-default/functions.php:416
 msgid "The third footer widget area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:422
+#: bp-themes/bp-default/functions.php:425
 msgid "Fourth Footer Widget Area"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:424
+#: bp-themes/bp-default/functions.php:427
 msgid "The fourth footer widget area"
 msgstr ""
@@ -4507,37 +4507,37 @@
 #. permalink, 4: comment date/timestamp
 
-#: bp-themes/bp-default/functions.php:479
+#: bp-themes/bp-default/functions.php:482
 msgid "<a href=\"%1$s\" rel=\"nofollow\">%2$s</a> said on <a href=\"%3$s\"><span class=\"time-since\">%4$s</span></a>"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:486
+#: bp-themes/bp-default/functions.php:489
 msgid "Your comment is awaiting moderation."
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:498
+#: bp-themes/bp-default/functions.php:501
 msgid "Edit comment"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:568
+#: bp-themes/bp-default/functions.php:571
 msgid "Theme activated! This theme contains <a href=\"%s\">custom header image</a> support and <a href=\"%s\">sidebar widgets</a>."
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:634
+#: bp-themes/bp-default/functions.php:637
 msgid "Email"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:644
+#: bp-themes/bp-default/functions.php:647
 msgid "You must be <a href=\"%1$s\">logged in</a> to post a comment."
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:645
+#: bp-themes/bp-default/functions.php:648
 msgid "Leave a reply"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:732
+#: bp-themes/bp-default/functions.php:735
 msgid "&larr; Previous Entries"
 msgstr ""
 
-#: bp-themes/bp-default/functions.php:733
+#: bp-themes/bp-default/functions.php:736
 msgid "Next Entries &rarr;"
 msgstr ""