Index: /trunk/bp-core/bp-core-admin.php
===================================================================
--- /trunk/bp-core/bp-core-admin.php	(revision 5998)
+++ /trunk/bp-core/bp-core-admin.php	(revision 5999)
@@ -21,4 +21,12 @@
 class BP_Admin {
 
+	/**
+	 * Instance of the setup wizard
+	 *
+	 * @since BuddyPress (1.6)
+	 * @var BP_Core_Setup_Wizard
+	 */
+	public $wizard;
+
 	/** Directory *************************************************************/
 
Index: /trunk/bp-core/bp-core-classes.php
===================================================================
--- /trunk/bp-core/bp-core-classes.php	(revision 5998)
+++ /trunk/bp-core/bp-core-classes.php	(revision 5999)
@@ -109,5 +109,13 @@
 	var $total_groups;
 
-	/** Public Method*s *******************************************************/
+	/**
+	 * Profile information for the specific user.
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var array
+	 */
+	public $profile_data;
+
+	/** Public Methods *******************************************************/
 
 	/**
Index: /trunk/bp-core/bp-core-component.php
===================================================================
--- /trunk/bp-core/bp-core-component.php	(revision 5998)
+++ /trunk/bp-core/bp-core-component.php	(revision 5999)
@@ -66,4 +66,20 @@
 
 	/**
+	 * Search input box placeholder string for the component
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var string
+	 */
+	public $search_string;
+
+	/**
+	 * Component's root slug
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var string
+	 */
+	public $root_slug;
+
+	/**
 	 * Component loader
 	 *
Index: /trunk/bp-forums/bp-forums-template.php
===================================================================
--- /trunk/bp-forums/bp-forums-template.php	(revision 5998)
+++ /trunk/bp-forums/bp-forums-template.php	(revision 5999)
@@ -983,4 +983,12 @@
 	var $in_the_loop;
 
+	/**
+	 * Contains a 'total_pages' property holding total number of pages in this loop.
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var stdClass
+	 */
+	public $pag;
+
 	var $pag_page;
 	var $pag_num;
Index: /trunk/bp-groups/bp-groups-classes.php
===================================================================
--- /trunk/bp-groups/bp-groups-classes.php	(revision 5998)
+++ /trunk/bp-groups/bp-groups-classes.php	(revision 5999)
@@ -24,4 +24,28 @@
 	var $mods;
 	var $total_member_count;
+
+	/**
+	 * Is the current user a member of this group?
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var bool
+	 */
+	public $is_member;
+
+	/**
+	 * Timestamp of the last activity that happened in this group.
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var string
+	 */
+	public $last_activity;
+
+	/**
+	 * If this is a private or hidden group, does the current user have access?
+	 *
+	 * @since BuddyPress (1.6)
+	 * @var bool
+	 */
+	public $user_has_access;
 
 	public function __construct( $id = null ) {
Index: /trunk/bp-groups/bp-groups-loader.php
===================================================================
--- /trunk/bp-groups/bp-groups-loader.php	(revision 5998)
+++ /trunk/bp-groups/bp-groups-loader.php	(revision 5999)
@@ -16,10 +16,60 @@
 
 class BP_Groups_Component extends BP_Component {
+
+	/**
+	 * Auto join group when non group member performs group activity
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var bool
+	 */
+	public $auto_join;
+
+	/**
+	 * The group being currently accessed
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var BP_Groups_Group
+	 */
+	public $current_group;
+
 	/**
 	 * Default group extension
 	 *
 	 * @since BuddyPress (1.6)
+	 * @todo Is this used anywhere? Is this a duplicate of $default_extension?
 	 */
 	var $default_component;
+
+	/**
+	 * Default group extension
+	 *
+	 * @since BuddyPress (1.6)
+	 * @var string
+	 */
+	public $default_extension;
+
+	/**
+	 * Illegal group names/slugs
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var array
+	 */
+	public $forbidden_names;
+
+	/**
+	 * Group creation/edit steps (e.g. Details, Settings, Avatar, Invites)
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var array
+	 */
+	public $group_creation_steps;
+
+	/**
+	 * Types of group statuses (Public, Private, Hidden)
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var array
+	 */
+	public $valid_status;
 
 	/**
Index: /trunk/bp-loader.php
===================================================================
--- /trunk/bp-loader.php	(revision 5998)
+++ /trunk/bp-loader.php	(revision 5999)
@@ -83,4 +83,12 @@
 
 	/** Paths *****************************************************************/
+
+	/**
+	 * The absolute path and filename of this file.
+	 *
+	 * @since BuddyPress (1.6)
+	 * @var string
+	 */
+	public $file;
 
 	/**
Index: /trunk/bp-messages/bp-messages-classes.php
===================================================================
--- /trunk/bp-messages/bp-messages-classes.php	(revision 5998)
+++ /trunk/bp-messages/bp-messages-classes.php	(revision 5999)
@@ -18,4 +18,52 @@
 
 	var $unread_count;
+
+	/**
+	 * The content of the last message in this thread
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var string
+	 */
+	public $last_message_content;
+
+	/**
+	 * The date of the last message in this thread
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var string
+	 */
+	public $last_message_date;
+
+	/**
+	 * The ID of the last message in this thread
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var int
+	 */
+	public $last_message_id;
+
+	/**
+	 * The subject of the last message in this thread
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var string
+	 */
+	public $last_message_subject;
+
+	/**
+	 * The user ID of the author of the last message in this thread
+	 *
+	 * @since BuddyPress (1.2)
+	 * @var int
+	 */
+	public $last_sender_id;
+
+	/**
+	 * Sort order of the messages in this thread (ASC or DESC).
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var string
+	 */	
+	public $messages_order;
 
 	function __construct( $thread_id = false, $order = 'ASC' ) {
Index: /trunk/bp-messages/bp-messages-loader.php
===================================================================
--- /trunk/bp-messages/bp-messages-loader.php	(revision 5998)
+++ /trunk/bp-messages/bp-messages-loader.php	(revision 5999)
@@ -14,4 +14,12 @@
 
 class BP_Messages_Component extends BP_Component {
+	/**
+	 * If this is true, the Message autocomplete will return friends only, unless
+	 * this is set to false, in which any matching users will be returned.
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var bool
+	 */
+	public $autocomplete_all;
 
 	/**
Index: /trunk/bp-xprofile/bp-xprofile-loader.php
===================================================================
--- /trunk/bp-xprofile/bp-xprofile-loader.php	(revision 5998)
+++ /trunk/bp-xprofile/bp-xprofile-loader.php	(revision 5999)
@@ -16,7 +16,16 @@
 class BP_XProfile_Component extends BP_Component {
 	/**
+	 * Profile field types
+	 *
+	 * @since BuddyPress (1.5)
+	 * @var array
+	 */
+	public $field_types;
+
+	/**
 	 * The acceptable visibility levels for xprofile fields.
+	 *
+	 * @see bp_xprofile_get_visibility_levels()
 	 * @since 1.6
-	 * @see bp_xprofile_get_visibility_levels()
 	 */
 	var $visibility_levels = array();