Index: /trunk/bp-groups/bp-groups-template.php
===================================================================
--- /trunk/bp-groups/bp-groups-template.php	(revision 6613)
+++ /trunk/bp-groups/bp-groups-template.php	(revision 6614)
@@ -373,6 +373,6 @@
 }
 
-function bp_group_id() {
-	echo bp_get_group_id();
+function bp_group_id( $group = false ) {
+	echo bp_get_group_id( $group );
 }
 	function bp_get_group_id( $group = false ) {
@@ -434,6 +434,6 @@
 	}
 
-function bp_group_name() {
-	echo bp_get_group_name();
+function bp_group_name( $group = false ) {
+	echo bp_get_group_name( $group );
 }
 	function bp_get_group_name( $group = false ) {
@@ -446,6 +446,6 @@
 	}
 
-function bp_group_type() {
-	echo bp_get_group_type();
+function bp_group_type( $group = false ) {
+	echo bp_get_group_type( $group );
 }
 	function bp_get_group_type( $group = false ) {
@@ -468,6 +468,6 @@
 	}
 
-function bp_group_status() {
-	echo bp_get_group_status();
+function bp_group_status( $group = false ) {
+	echo bp_get_group_status( $group );
 }
 	function bp_get_group_status( $group = false ) {
@@ -505,6 +505,6 @@
 	}
 
-function bp_group_avatar_thumb() {
-	echo bp_get_group_avatar_thumb();
+function bp_group_avatar_thumb( $group = false ) {
+	echo bp_get_group_avatar_thumb( $group );
 }
 	function bp_get_group_avatar_thumb( $group = false ) {
@@ -512,6 +512,6 @@
 	}
 
-function bp_group_avatar_mini() {
-	echo bp_get_group_avatar_mini();
+function bp_group_avatar_mini( $group = false ) {
+	echo bp_get_group_avatar_mini( $group );
 }
 	function bp_get_group_avatar_mini( $group = false ) {
@@ -519,6 +519,6 @@
 	}
 
-function bp_group_last_active() {
-	echo bp_get_group_last_active();
+function bp_group_last_active( $group = false ) {
+	echo bp_get_group_last_active( $group );
 }
 	function bp_get_group_last_active( $group = false ) {
@@ -540,6 +540,6 @@
 	}
 
-function bp_group_permalink() {
-	echo bp_get_group_permalink();
+function bp_group_permalink( $group = false ) {
+	echo bp_get_group_permalink( $group );
 }
 	function bp_get_group_permalink( $group = false ) {
@@ -552,6 +552,6 @@
 	}
 
-function bp_group_admin_permalink() {
-	echo bp_get_group_admin_permalink();
+function bp_group_admin_permalink( $group = false ) {
+	echo bp_get_group_admin_permalink( $group );
 }
 	function bp_get_group_admin_permalink( $group = false ) {
@@ -564,6 +564,6 @@
 	}
 
-function bp_group_slug() {
-	echo bp_get_group_slug();
+function bp_group_slug( $group = false ) {
+	echo bp_get_group_slug( $group );
 }
 	function bp_get_group_slug( $group = false ) {
@@ -576,6 +576,6 @@
 	}
 
-function bp_group_description() {
-	echo bp_get_group_description();
+function bp_group_description( $group = false ) {
+	echo bp_get_group_description( $group );
 }
 	function bp_get_group_description( $group = false ) {
@@ -588,6 +588,6 @@
 	}
 
-function bp_group_description_editable() {
-	echo bp_get_group_description_editable();
+function bp_group_description_editable( $group = false ) {
+	echo bp_get_group_description_editable( $group );
 }
 	function bp_get_group_description_editable( $group = false ) {
@@ -600,6 +600,6 @@
 	}
 
-function bp_group_description_excerpt() {
-	echo bp_get_group_description_excerpt();
+function bp_group_description_excerpt( $group = false ) {
+	echo bp_get_group_description_excerpt( $group );
 }
 	function bp_get_group_description_excerpt( $group = false ) {
@@ -613,6 +613,6 @@
 
 
-function bp_group_public_status() {
-	echo bp_get_group_public_status();
+function bp_group_public_status( $group = false ) {
+	echo bp_get_group_public_status( $group );
 }
 	function bp_get_group_public_status( $group = false ) {
@@ -629,6 +629,6 @@
 	}
 
-function bp_group_is_public() {
-	echo bp_get_group_is_public();
+function bp_group_is_public( $group = false ) {
+	echo bp_get_group_is_public( $group );
 }
 	function bp_get_group_is_public( $group = false ) {
@@ -641,6 +641,6 @@
 	}
 
-function bp_group_date_created() {
-	echo bp_get_group_date_created();
+function bp_group_date_created( $group = false ) {
+	echo bp_get_group_date_created( $group );
 }
 	function bp_get_group_date_created( $group = false ) {
@@ -652,5 +652,80 @@
 		return apply_filters( 'bp_get_group_date_created', bp_core_time_since( strtotime( $group->date_created ) ) );
 	}
-
+	
+function bp_group_creator_username( $group = false ) {
+	echo bp_get_group_creator_username( $group );
+}
+	function bp_get_group_creator_username( $group = false ) {
+		global $groups_template;
+		
+		if ( empty( $group ) )
+			$group =& $groups_template->group;
+		
+		return apply_filters( 'bp_get_group_creator_username', bp_core_get_user_displayname( $group->creator_id ) );
+	}	
+
+function bp_group_creator_id( $group = false ) {
+	echo bp_get_group_creator_id( $group );
+}
+	function bp_get_group_creator_id( $group = false ) {
+		global $groups_template;
+		
+		if ( empty( $group ) )
+			$group =& $groups_template->group;
+		
+		return apply_filters( 'bp_get_group_creator_id', $group->creator_id );
+	}	
+
+function bp_group_creator_permalink( $group = false ) {
+	echo bp_get_group_creator_permalink( $group );
+}
+	function bp_get_group_creator_permalink( $group = false ) {
+		global $groups_template;
+
+		if ( empty( $group ) )
+			$group =& $groups_template->group;
+
+		return apply_filters( 'bp_get_group_creator_permalink', bp_core_get_user_domain( $group->creator_id ) );
+	}	
+
+function bp_is_group_creator( $group = false, $user_id = 0 ) {
+	global $groups_template;
+	
+	if ( empty( $group ) )
+		$group =& $groups_template->group;
+	
+	if ( empty( $user_id ) )
+		$user_id = bp_loggedin_user_id();
+
+	return (bool) ( $group->creator_id == $user_id );
+}
+
+function bp_group_creator_avatar( $group = false, $args = array() ) {
+	echo bp_get_group_creator_avatar( $group, $args );
+}
+	function bp_get_group_creator_avatar( $group = false, $args = array() ) {
+		global $groups_template;
+
+		if ( empty( $group ) )
+			$group =& $groups_template->group;
+
+		$defaults = array(
+			'type'   => 'full',
+			'width'  => false,
+			'height' => false,
+			'class'  => 'avatar',
+			'id'     => false,
+			'alt'    => sprintf( __( 'Group creator avatar of %s', 'buddypress' ),  bp_core_get_user_displayname( $group->creator_id ) )
+		);
+
+		$r = wp_parse_args( $args, $defaults );
+		extract( $r, EXTR_SKIP );
+
+		$avatar = bp_core_fetch_avatar( array( 'item_id' => $group->creator_id, 'type' => $type, 'css_id' => $id, 'class' => $class, 'width' => $width, 'height' => $height, 'alt' => $alt ) );
+
+		return apply_filters( 'bp_get_group_creator_avatar', $avatar );
+	}
+
+		
 function bp_group_is_admin() {
 	return bp_is_item_admin();